Package org.gradle.testing.jacoco.plugins

# Enum JacocoTaskExtension.Output

java.lang.Object
java.lang.Enum<JacocoTaskExtension.Output>
org.gradle.testing.jacoco.plugins.JacocoTaskExtension.Output

All Implemented Interfaces:
  `Serializable`, `Comparable<JacocoTaskExtension.Output>`, `Constable`

Enclosing class:
  `JacocoTaskExtension`

public static enum JacocoTaskExtension.Output extends Enum<JacocoTaskExtension.Output>
The types of output that the agent can use for execution data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILE`
  `NONE`
  `TCP_CLIENT`
  `TCP_SERVER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsArg()`
  Gets type in format of agent argument.
  `static JacocoTaskExtension.Output`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JacocoTaskExtension.Output[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final JacocoTaskExtension.Output FILE

  - ### TCP_SERVER

    public static final JacocoTaskExtension.Output TCP_SERVER

  - ### TCP_CLIENT

    public static final JacocoTaskExtension.Output TCP_CLIENT

  - ### NONE

    public static final JacocoTaskExtension.Output NONE

- ## Method Details

  - ### values

    public static JacocoTaskExtension.Output[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JacocoTaskExtension.Output valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAsArg

    public String getAsArg()
    Gets type in format of agent argument.